org.apache.cayenne.access.translator

## Class ParameterBinding

- java.lang.Object
- - org.apache.cayenne.access.translator.ParameterBinding

- Direct Known Subclasses:
    DbAttributeBinding, ProcedureParameterBinding

      public class ParameterBinding
      extends Object

  Describes a PreparedStatement parameter generic binding.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterBinding()`
    `ParameterBinding(Object value, Integer jdbcType, int scale)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exclude()` Marks the binding object as excluded for the current iteration.
    `ExtendedType` | `getExtendedType()`
    `Integer` | `getJdbcType()`
    `int` | `getScale()`
    `int` | `getStatementPosition()`
    `Object` | `getValue()`
    `void` | `include(int statementPosition, Object value, ExtendedType extendedType)` Sets the value of the binding and initializes statement position var, thus "including" this binding in the current iteration.
    `boolean` | `isExcluded()`
    `void` | `setExtendedType(ExtendedType extendedType)`
    `void` | `setJdbcType(Integer type)`
    `void` | `setScale(int scale)`
    `void` | `setStatementPosition(int statementPosition)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterBinding

          public ParameterBinding(Object value,
                                  Integer jdbcType,
                                  int scale)

    - #### ParameterBinding

          public ParameterBinding()

  - ### Method Detail

    - #### getValue

          public Object getValue()

    - #### setValue

          public void setValue(Object value)

    - #### getStatementPosition

          public int getStatementPosition()

    - #### setStatementPosition

          public void setStatementPosition(int statementPosition)

    - #### isExcluded

          public boolean isExcluded()

    - #### getExtendedType

          public ExtendedType getExtendedType()

    - #### setExtendedType

          public void setExtendedType(ExtendedType extendedType)

    - #### exclude

          public void exclude()

      Marks the binding object as excluded for the current iteration.

    - #### include

          public void include(int statementPosition,
                              Object value,
                              ExtendedType extendedType)

      Sets the value of the binding and initializes statement position var, thus "including" this binding in the current iteration.

    - #### getJdbcType

          public Integer getJdbcType()

    - #### setJdbcType

          public void setJdbcType(Integer type)

    - #### getScale

          public int getScale()

    - #### setScale

          public void setScale(int scale)

Copyright © 2001–2023 Apache Cayenne. All rights reserved.